<?php

function getError($code)
{
    switch ($code) {
        case 1:
            return "Impossible de réserver ce trajet";
    }
}

session_start();
require_once('../ressources/verifconnecte.php');
require_once('../ressources/trajet.php');
?>

<!DOCTYPE html>

<html>
<head>
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="recherche.css"/>
    <link rel="stylesheet" href="../ressources/navbarhtml.css"/>
    <title>Rechercher trajet</title>
</head>
<body>
<?php
require_once("../ressources/navbarhtml.php");
?>
<div id="container">
    <div id="formulaire">
        <h1>Rechercher trajet</h1>
        <form method="post" action="../liste_trajets/liste_trajet.php">
            <div class="line">
                <label class="label" for="villeDepart">Ville de départ : </label>
                <input type="text" class="form, villeText" name="villeDepartText" id="villeDepartText">
                <select class="form, villeSelect" name="villeDepart" id="villeDepart" required>
                    <option selected></option>
                    <?php afficherVilles($db); ?>
                </select>
            </div>
            <div id="villeEtapeDiv" class="line">
                <label class="label" for="villeArrive">Etape : </label>
                <input type="text" class="form, villeText" id="villeArriveText" name="villeArriveText">
                <select class="form, villeSelect" name="villeArrive" id="villeArrive" required>
                    <option selected></option>
                    <?php afficherVilles($db); ?>
                </select>
            </div>
            <div class="line">
                <label class="label" for="date">Date départ : </label>
                <input id="date" class="form" name="date_heure" type="date" placeholder="Date et heure de départ" class="centrage"
                       required>
            </div>
            <br/>
            <label>
                <input id="submit" class="button" name="submit" type="submit" value="Rechercher" required>
            </label>
        </form>
        <?php
        if (isset($_GET['error'])) {
            echo "<p class='error'>" . getError($_GET['error']) . "</p>";
        }
        ?>
    </div>
</div>
</body>
<script type="application/javascript" src="../ressources/libs/jquery-3.4.1.js"></script>
<script type="application/javascript" src="../ressources/libs/jquery-ui.min.js"></script>
<script src="recherche.js"></script>
</html>
